Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thing
Class BASE

    java.lang.Object
      things.thing.BASE

All Implemented Interfaces:
  BASEInterface

Direct Known Subclasses:
  MODULE, THING

    public abstract class BASE

extends java.lang.Object
implements BASEInterface

Base for things, modules, and tigers--oh my!

Version:
  1.0

  Version History

      EPG - Initial - 26 FEB07

Author:
  Erich P. Gatejen

Field Summary
`protected ThingsPropertyView` | `localProperties`
`protected Logger` | `localSystemLogger`
`protected SystemInterface` | `mySystemInterface`

Constructor Summary
`BASE()`

Method Summary
`ThingsPropertyReaderToolkit` | `CONFIG_PROPERTY_TOOLKIT()` Get the global configuration property toolkit for all users.
`Logger` | `GET_LOGGER()` Get the THING's Logger.
`abstract java.lang.String` | `GET_NAME()` Get the simple name.
`Accessor` | `GET_UNIVERSE_ACCESSOR(java.lang.String universeName, java.lang.String... name)` Get a universe object accessor.
`Universe` | `GET_UNIVERSE(java.lang.String name)` Get a universe by the local name.
`ThingsPropertyReaderToolkit` | `PROPERTY_READER_TOOLKIT()` Get a good property toolkit.
`void` | `systemInit(SystemInterface si)` Initialize system data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### localProperties

    protected ThingsPropertyView localProperties

### localSystemLogger

    protected Logger localSystemLogger

### mySystemInterface

    protected SystemInterface mySystemInterface

Constructor Detail

### BASE

    public BASE()

Method Detail

### GET_NAME

    public abstract java.lang.String GET_NAME()

  Get the simple name. The implementing class can choose it. It need not be unique. It is not a system ID! So don't use it as one. This can be called at any point after object construction (and before DEFINITION), so don't rely on additional setup.

  Returns:
    the name.

### systemInit

    public final void systemInit(SystemInterface si)
                          throws UserException

  Initialize system data. This should be called by the init() method in super class.

  Parameters:
    `si` - A system interface.
  Throws:
    `UserException` - which will always be a FAULT.

### PROPERTY_READER_TOOLKIT

    public ThingsPropertyReaderToolkit PROPERTY_READER_TOOLKIT()
                                                        throws UserException

  Get a good property toolkit.

  Throws:
    `UserException`

### CONFIG_PROPERTY_TOOLKIT

    public ThingsPropertyReaderToolkit CONFIG_PROPERTY_TOOLKIT()
                                                        throws UserException

  Get the global configuration property toolkit for all users.

  Throws:
    `UserException`

### GET_UNIVERSE

    public Universe GET_UNIVERSE(java.lang.String name)
                          throws UserException

  Get a universe by the local name.

  Parameters:
    `name` - the local name (as registered).
  Returns:
    the universe
  Throws:
    `UserException`
  See Also:
    `Universe`

### GET_UNIVERSE_ACCESSOR

    public Accessor GET_UNIVERSE_ACCESSOR(java.lang.String universeName,
                                          java.lang.String... name)
                                   throws UserException

  Get a universe object accessor.

  Parameters:
    `universeName` - the local name (as registered) of the universe.
    `name` - the object name.
  Returns:
    the accessor
  Throws:
    `UserException`
  See Also:
    `Universe`

### GET_LOGGER

    public Logger GET_LOGGER()
                      throws UserException

  Get the THING's Logger. Do not use this for any result data.

  Specified by:
    `GET_LOGGER` in interface `BASEInterface`
  Returns:
    a logger
  Throws:
    `UserException`
  See Also:
    `Logger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.